Upgrading CDH Manually after an Upgrade Failure

Start Zookeeper

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the Zookeeper service
  2. Select Actions > Start

Start Kudu

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the KUDU service
  2. Select Actions > Start

Upgrade HDFS Metadata

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the HDFS service
  2. Select Actions > Upgrade HDFS Metadata and click Upgrade HDFS Metadata to confirm

Start HDFS

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the HDFS service
  2. Select Actions > Start

Start HBASE

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the HBASE service
  2. Select Actions > Start

Upgrade the Sentry Database

Required for the following upgrades:

  • CDH 5.x to 5.8.x
  • CDH 5.x to 5.9.x
  • CDH 5.x to 5.10.x
  • CDH 5.x to 5.13.x
  • CDH 5.x to 6.0.0 or greater
  1. Go to the Sentry service.
  2. If the Sentry service is running, stop it:
    1. Select Actions > Stop and click Stop to confirm
  3. Select Actions > Upgrade Sentry Database Tables and click Upgrade Sentry Database Tables to confirm

Start Sentry

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the Sentry service
  2. Select Actions > Start

Start KAFKA

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the KAFKA service
  2. Select Actions > Start

Upgrade Solr

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. If you have Sentry service in the cluster:
    1. If the Solr service is running, stop it:
      1. Select Actions > Stop and click Stop to confirm
    2. If the Sentry service is not running, start it:
      1. Select Actions > Start and click Start to confirm
    3. Select Actions > Migrate Sentry Privileges for Solr and click Migrate Sentry Privileges for Solr to confirm
  2. If the Sentry service is running, stop it:
    1. Select Actions > Stop and click Stop to confirm
  3. If the Zookeeper service is not running, start it:
    1. Select Actions > Start and click Start to confirm
  4. If the HDFS service is not running, start it:
    1. Select Actions > Start and click Start to confirm
  5. Select Actions > Reinitialize Solr State for Upgrade and click Reinitialize Solr State for Upgrade to confirm
  6. Set the Solr configuration parameter Solr Server for Upgrade to the Solr service being upgraded
  7. Select Actions > Bootstrap Solr Configuration and click Bootstrap Solr Configuration to confirm

Start FLUME

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the FLUME service
  2. Select Actions > Start

Upgrade KeyStore Indexer

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the KeyStore Indexer service
  2. Select Actions > Migrate Policy file to Sentry if enabled, and click Migrate Policy file to Sentry to confirm

Start Key-Value Store Indexer

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the Key-Value Store Indexer service
  2. Select Actions > Start

Upgrade YARN

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Ensure that the ZooKeeper and HDFS services are running.
  2. Ensure that the Yarn service is stopped.
  3. Go to the YARN service.
  4. Select Actions > Clean NodeManager Recovery Directory and click Clean NodeManager Recovery Directory to confirm

Install MR Framework Jars

Required for all CDH upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the YARN service
  2. Select Actions > Install YARN MapReduce Framework JARs and click Install YARN MapReduce Framework JARs to confirm

Start YARN

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the YARN service
  2. Select Actions > Start

Deploy Client Configuration Files

  1. On the Home page, click to the right of the cluster name and select Deploy Client Configuration.
  2. Click the Deploy Client Configuration button in the confirmation pop-up that appears.

Upgrade the Spark Standalone Service

Required for all CDH upgrades:

  1. Go to the Spark service
  2. If the Spark service is running, stop it:
    1. Select Actions > Stop and click Stop to confirm
  3. Select Actions > Install Spark JAR and click Install Spark JAR to confirm

Start Spark Services

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher

Note, all SPARK and SPARK2 are no longer differentiated, they are just SPARK

  1. Go to each Spark service
  2. Select Actions > Start

Upgrade the Hive Metastore Database

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the Hive service
  2. If the Hive service is running, stop it:
    1. Select Actions > Stop and click Stop to confirm
  3. Select Actions > Upgrade Hive Metastore Database Schema and click Upgrade Hive Metastore Database Schema to confirm
  4. If you have multiple instances of Hive, perform the upgrade on each metastore database
  5. Select Actions > Validate Hive Metastore Schema and click Validate Hive Metastore Schema to check that the schema is now valid

Start Hive

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the Hive service
  2. Select Actions > Start

Validate the Hive Metastore Database Schema

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Select Actions > Validate Hive Metastore Schema and click Validate Hive Metastore Schema to confirm
  2. If you have multiple instances of Hive, perform the validation on each metastore database
  3. Select Actions > Validate Hive Metastore Schema and click Validate Hive Metastore Schema to check that the schema is now valid

Start Impala

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the YARN service
  2. Select Actions > Start

Upgrade Oozie

Required for the following upgrades:

  • CDH 5.x to 6.0.0 or higher
  1. Go to the Oozie service
  2. Select Actions > Stop and click Stop to confirm
  3. Select Actions > Upgrade Oozie Database Schema and click Upgrade Oozie Database Schema to confirm

Upgrade the Oozie SharedLib

  1. Go to the Oozie service
  2. If the Oozie service is stopped, start it:
    1. Select Actions > Start and click Start to confirm
  3. Select Actions > Install Oozie SharedLib and click Install Oozie SharedLib to confirm

Start Remaining Cluster Services

  1. Use rolling restart or full restart
  2. Ensure that all services are started or restarted. You can use Cloudera Manager to start the cluster, or you can restart the services individually. The Cloudera Manager Home page indicates which services have stale configurations and require restarting.
  3. To start or restart the cluster:
    1. On the Home > Status page, click the down arrow to the right of the cluster name and select Start or Restart.
  4. Click Start that appears in the next screen to confirm. The Command Details window shows the progress of starting services.
  5. When All services successfully started appears, the task is complete and you can close the Command Details window.

Test the Cluster and Finalize HDFS Metadata

To determine if you can finalize, run important workloads and ensure that they are successful. Once you have finalized the upgrade, you cannot roll back to a previous version of HDFS without using backups. Verifying that you are ready to finalize the upgrade can take a long time.

When you are ready to finalize the upgrade, do one of the following:
  • If High Availability for HDFS is enabled:
    1. Go to the HDFS service.
    2. Select Actions > Finalize Rolling Upgrade and click Finalize Rolling Upgrade to confirm.
  • If High Availability for HDFS is not enabled:
    1. Go to the HDFS service.
    2. Click the Instances tab.
    3. Click the link for the NameNode instance. If you have enabled high availability for HDFS, click the link labeled NameNode (Active).

      The NameNode instance page displays.

    4. Select Actions > Finalize Metadata Upgrade and click Finalize Metadata Upgrade to confirm.